Create one change order template
/fscmRestApi/resources/11.13.18.05/purchasingChangeOrderTemplates
Request
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
attributes: array
Attributes
Title:
AttributesDetails of attributes. -
ChangeOrderSeededTemplateId(required): integer
(int64)
Value that uniquely identifies a seeded change order template.
-
ChangeOrderTemplateCode(required): string
Title:
CodeMaximum Length:30Abbreviation identifying the change order template. -
ChangeOrderTemplateId: integer
(int64)
Value that uniquely identifies a change order template.
-
ChangeOrderTemplateName(required): string
Title:
NameMaximum Length:240Name of the change order template. -
Description: string
Maximum Length:
240Description of the change order template. -
DocumentTypeCode(required): string
Maximum Length:
25Abbreviation identifying the change order template document type. -
StatusCode: string
Maximum Length:
30Abbreviation identifying the change order template status.
object-
AttributeCode: string
Maximum Length:
30Abbreviation identifying the change order template attribute. -
ChangeOrderTemplateId: integer
(int64)
Value that uniquely identifies a change order template.
-
EntityType: string
Maximum Length:
30Entity for which the change order template attribute applies. -
ListOrder: number
Order of the change order template attribute.
-
ReviseDocumentFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the revise document is enabled for this attribute. If false, the revise document isn't enabled. -
UserUpdatableFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the attribute can be updated. If false, the attribute can't be updated.
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
attributes: array
Attributes
Title:
AttributesDetails of attributes. -
ChangeOrderSeededTemplateId: integer
(int64)
Value that uniquely identifies a seeded change order template.
-
ChangeOrderTemplateCode: string
Title:
CodeMaximum Length:30Abbreviation identifying the change order template. -
ChangeOrderTemplateId: integer
(int64)
Value that uniquely identifies a change order template.
-
ChangeOrderTemplateName: string
Title:
NameMaximum Length:240Name of the change order template. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the change order template. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the change order template was created. -
Description: string
Maximum Length:
240Description of the change order template. -
DocumentType: string
Title:
MeaningRead Only:trueMaximum Length:80Name of the change order template document type. -
DocumentTypeCode: string
Maximum Length:
25Abbreviation identifying the change order template document type. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the change order template was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the change order template. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Status: string
Title:
MeaningRead Only:trueMaximum Length:80Status of the change order template. -
StatusCode: string
Maximum Length:
30Abbreviation identifying the change order template status.
arrayLinksobject-
AttributeCode: string
Maximum Length:
30Abbreviation identifying the change order template attribute. -
AttributeName: string
Title:
MeaningRead Only:trueMaximum Length:80Name of the change order template attribute. -
ChangeOrderTemplateId: integer
(int64)
Value that uniquely identifies a change order template.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the change order template attribute. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the change order template attribute was created. -
EntityType: string
Maximum Length:
30Entity for which the change order template attribute applies. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the change order template attribute was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the change order template attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ListOrder: number
Order of the change order template attribute.
-
ReviseDocumentFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the revise document is enabled for this attribute. If false, the revise document isn't enabled. -
UserUpdatableFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the attribute can be updated. If false, the attribute can't be updated.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
- attributes
-
Parameters:
- ChangeOrderTemplateId:
$request.path.ChangeOrderTemplateId
Details of attributes. - ChangeOrderTemplateId:
- validateChangeOrderTemplateIsUsedByADocument
-
Parameters:
- ChangeOrderTemplateId:
$request.path.ChangeOrderTemplateId
Validates that a document type uses the change order template. - ChangeOrderTemplateId:
Examples
This example describes how to create one change order template.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"ChangeOrderTemplateCode": "TEST_CONTRACT_CODE_TEST",
"ChangeOrderTemplateName": "TEST_CONTRACT_CODE_TEST_REST",
"Description": "REST TEST CONTRACT",
"StatusCode": "ACTIVE",
"DocumentTypeCode": "CONTRACT",
"attributes": [
{
"EntityType": "HEADER",
"AttributeCode": "START_DATE",
"ListOrder": "210",
"ReviseDocumentFlag": "Y",
"UserUpdatableFlag": "Y"
}
]
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"ChangeOrderTemplateId": 300100648583980,
"ChangeOrderSeededTemplateId": -3,
"ChangeOrderTemplateCode": "TEST_CONTRACT_CODE_TEST",
"ChangeOrderTemplateName": "TEST_CONTRACT_CODE_TEST_REST",
"Description": "REST TEST CONTRACT",
"StatusCode": "ACTIVE",
"Status": null,
"DocumentTypeCode": "CONTRACT",
"DocumentType": null,
"CreatedBy": "CVBUYER01",
"CreationDate": "2026-02-10T02:04:41.001+00:00",
"LastUpdateDate": "2026-02-10T02:04:41.245+00:00",
"LastUpdatedBy": "CVBUYER01",
"attributes": [
{
"ChangeOrderTemplateId": 300100648583980,
"EntityType": "HEADER",
"AttributeCode": "START_DATE",
"AttributeName": null,
"ReviseDocumentFlag": true,
"UserUpdatableFlag": true,
"ListOrder": 210,
"CreatedBy": "CVBUYER01",
"CreationDate": "2026-02-10T02:04:41.237+00:00",
"LastUpdateDate": "2026-02-10T02:04:41.318+00:00",
"LastUpdatedBy": "CVBUYER01",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980/child/attributes/00030000000EACED00057708000110F0A08E432C000000064845414445520000000A53544152545F44415445",
"name": "attributes",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980/child/attributes/00030000000EACED00057708000110F0A08E432C000000064845414445520000000A53544152545F44415445",
"name": "attributes",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980",
"name": "purchasingChangeOrderTemplates",
"kind": "item"
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980",
"name": "purchasingChangeOrderTemplates",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980",
"name": "purchasingChangeOrderTemplates",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980/child/attributes",
"name": "attributes",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername/fscmRestApi/resources/version/purchasingChangeOrderTemplates/300100648583980/action/validateChangeOrderTemplateIsUsedByADocument",
"name": "validateChangeOrderTemplateIsUsedByADocument",
"kind": "other"
}
]
}